summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Leonard Schmidt <lems@gmx.net>2014-08-29 12:22:03 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-30 14:19:25 +0700
commitcd91fe204f9bc00a910a88ad6d2dd513495aa76f (patch)
treebe88443d1a0a3544d0ca232c1d7123f4fbcc5fbb /desktop
parent617084c522f6b7acaca8fc45f662c196ba9739b0 (diff)
downloadslackbuilds-cd91fe204f9bc00a910a88ad6d2dd513495aa76f.tar.gz
slackbuilds-cd91fe204f9bc00a910a88ad6d2dd513495aa76f.tar.xz
desktop/mcwm: Added (Minimalist X11 floating window manager).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/mcwm/README24
-rw-r--r--desktop/mcwm/mcwm.SlackBuild95
-rw-r--r--desktop/mcwm/mcwm.info10
-rw-r--r--desktop/mcwm/slack-desc19
-rw-r--r--desktop/mcwm/xinitrc.mcwm18
5 files changed, 166 insertions, 0 deletions
diff --git a/desktop/mcwm/README b/desktop/mcwm/README
new file mode 100644
index 0000000000..5d39e38c1f
--- /dev/null
+++ b/desktop/mcwm/README
@@ -0,0 +1,24 @@
+mcwm is a minimalist window manager for the X Window System written
+directly on top of the X protocol C-language Binding, XCB. It is a
+traditional floating window manager with no fancy smarts like those in
+modern tiling window managers.
+
+In mcwm all functions are available from the keyboard but a pointing
+device can be used for move, resize and raise/lower.
+
+Features:
+
+ * Small.
+ * Fast.
+ * No icons. (But it can hide windows completely.)
+ * Sloppy focus.
+ * Toggling vertical and full screen maximizing.
+ * Virtual screens/workspaces.
+ * Crash proof window placement.
+ * Only users can move and resize windows.
+ * Multihead support.
+ * Good keyboard control.
+ * No garish decorations (only 1 pixel border by default).
+ * Written in straight C (C99).
+ * Written using only XCB.
+ * Few dependencies.
diff --git a/desktop/mcwm/mcwm.SlackBuild b/desktop/mcwm/mcwm.SlackBuild
new file mode 100644
index 0000000000..a52334de14
--- /dev/null
+++ b/desktop/mcwm/mcwm.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for mcwm
+
+# Copyright 2014 Leonard Schmidt <lems@gmx.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mcwm
+VERSION=${VERSION:-20130209_2}
+SRCVER=${SRCVER:-20130209-2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS=""
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.bz2
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p "$PKG/usr/bin" "$PKG/usr/man/man1"
+make PREFIX="$PKG/usr" install
+
+install -m 0755 -D scripts/9icon $PKG/usr/bin/9icon
+install -m 0755 -D scripts/mcicon $PKG/usr/bin/mcicon
+install -m 0755 -D scripts/mcmenu $PKG/usr/bin/mcmenu
+install -m 0755 -D $CWD/xinitrc.mcwm $PKG/etc/X11/xinit/xinitrc.mcwm
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a NEWS README TODO WISHLIST $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/mcwm/mcwm.info b/desktop/mcwm/mcwm.info
new file mode 100644
index 0000000000..f93b657d79
--- /dev/null
+++ b/desktop/mcwm/mcwm.info
@@ -0,0 +1,10 @@
+PRGNAM="mcwm"
+VERSION="20130209_2"
+HOMEPAGE="http://hack.org/mc/projects/mcwm"
+DOWNLOAD="http://hack.org/mc/projects/mcwm/mcwm-20130209-2.tar.bz2"
+MD5SUM="d36a625c966067c80cf9f14609a21921"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Leonard Schmidt"
+EMAIL="lems@gmx.net"
diff --git a/desktop/mcwm/slack-desc b/desktop/mcwm/slack-desc
new file mode 100644
index 0000000000..8b2cc477fd
--- /dev/null
+++ b/desktop/mcwm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mcwm: mcwm (Minimalist X11 floating window manager)
+mcwm:
+mcwm: mcwm is a minimalist window manager for the X Window System written
+mcwm: directly on top of the X protocol C-language Binding, XCB. It is a
+mcwm: traditional floating window manager with no fancy smarts like those
+mcwm: in modern tiling window managers.
+mcwm:
+mcwm: In mcwm all functions are available from the keyboard but a pointing
+mcwm: device can be used for move, resize and raise/lower.
+mcwm:
+mcwm: Homepage: http://hack.org/mc/projects/mcwm
diff --git a/desktop/mcwm/xinitrc.mcwm b/desktop/mcwm/xinitrc.mcwm
new file mode 100644
index 0000000000..20201ee4a4
--- /dev/null
+++ b/desktop/mcwm/xinitrc.mcwm
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# Merge in defaults and keymaps
+[ -f $sysresources ] && /usr/bin/xrdb -merge $sysresources
+[ -f $sysmodmap ] && /usr/bin/xmodmap $sysmodmap
+[ -f $userresources ] && /usr/bin/xrdb -merge $userresources
+[ -f $usermodmap ] && /usr/bin/xmodmap $usermodmap
+
+if [ -z "$DESKTOP_SESSION" -a -x /usr/bin/ck-launch-session ]; then
+ ck-launch-session dbus-launch --exit-with-session mcwm
+else
+ exec mcwm
+fi